Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.beans.factory.annotation
Annotation Type Qualifier

    @Target(value={FIELD,METHOD,PARAMETER,TYPE,ANNOTATION_TYPE})
    @Retention(value=RUNTIME)
    @Inherited
    @Documented
    public @interface Qualifier

This annotation may be used on a field or parameter as a qualifier for candidate beans when autowiring. It may also be used to annotate other custom annotations that can then in turn be used as qualifiers.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `Autowired`

Optional Element Summary
`String` | `value`

### value

    public abstract String value

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT